[kune-commits] r1630 - trunk/script
Vicente J. Ruiz Jurado
vjrj_ at ourproject.org
Mon Nov 28 17:19:48 CET 2011
Author: vjrj_
Date: 2011-11-28 17:19:48 +0100 (Mon, 28 Nov 2011)
New Revision: 1630
Modified:
trunk/script/server.sh
Log:
server.sh improved
Modified: trunk/script/server.sh
===================================================================
--- trunk/script/server.sh 2011-11-27 17:47:15 UTC (rev 1629)
+++ trunk/script/server.sh 2011-11-28 16:19:48 UTC (rev 1630)
@@ -20,12 +20,18 @@
# Default values
+
+if [ -z $KUNE_HOME ]
+then
+ KUNE_HOME=/etc/kune
+fi
+
# See src/main/resources/kune.properties in svn
-KUNE_CONFIG=/etc/kune.properties
+KUNE_CONFIG=$KUNE_HOME/kune.properties
# See src/main/resources/wave-server.properties in svn
-WAVE_CONFIG=/etc/kune/wave-server.properties
+WAVE_CONFIG=$KUNE_HOME/wave-server.properties
# See src/main/resources/jaas.config in svn
-JAAS_CONFIG=src/main/resources/jaas.config
+JAAS_CONFIG=$KUNE_HOME/jaas.config
SUSPEND="n"
DEBUG=""
@@ -55,7 +61,13 @@
;;
p)
# Debug port
- DEBUG_PORT=,address=$OPTARG
+ PORT=$OPTARG
+ if ! [[ $PORT =~ ^[0-9]+$ ]]
+ then
+ usage
+ exit 1
+ fi
+ DEBUG_PORT=",address=$PORT"
;;
u)
SUSPEND="y"
@@ -99,7 +111,7 @@
if [[ -z $JAR ]]
then
# Just run kune using the code and mave
- mvn exec:java
+ mvn exec:java -Dexec.args="$DEBUG_FLAGS"
else
if [[ -n $DAEMON ]]
then
@@ -121,4 +133,4 @@
-Dwave.server.config=$WAVE_CONFIG \
-jar $JAR
fi
-fi
\ No newline at end of file
+fi
More information about the kune-commits
mailing list